FUNCTION ERASE_R(3)

NAME
boost::algorithm::erase_range_copy - Erase range algorithm.

SYNOPSIS

// In header: <boost/algorithm/string/erase.hpp>
template<typename OutputIteratorT, typename RangeT>
  OutputIteratorT
  erase_range_copy(OutputIteratorT Output, const RangeT & Input,
                   const iterator_range< typename range_const_iterator< RangeT >::type > & SearchRange);
template<typename SequenceT>
  SequenceT erase_range_copy(const SequenceT & Input,
                             const iterator_range< typename range_const_iterator< SequenceT >::type > & SearchRange);

DESCRIPTION

Remove the given range from the input. The result is a modified copy of the input. It is returned as a sequence or copied to the output iterator.

Parameters:

    Input
        An input sequence

    Output
        An output iterator to which the result will be copied

    SearchRange
        A range in the input to be removed

Returns:
    An output iterator pointing just after the last inserted character or a modified copy of the input

Notes:
    The second variant of this function provides the strong exception-safety guarantee